---
# tasks file for ansible_role_install_grafana
- name: Only run "update_cache=yes" if the last one is more than 3600 seconds ago
  ansible.builtin.apt:
    update_cache: true
    cache_valid_time: 3600

- name: Install the prerequisites.
  ansible.builtin.apt:
    name:
      - apt-transport-https
      - software-properties-common
      - adduser
      - libfontconfig1
      - musl
      - curl
      - wget
    state: present

- name: Download grafana packages to local folder
  ansible.builtin.get_url:
    url: "{{ grafana_url }}{{ grafana_packages }}"
    dest: "/tmp/{{ grafana_packages }}"
    mode: "0644"
    owner: root
    group: root
    checksum: "sha256:{{ grafana_checksum }}"
  register: _download_archive
  until: _download_archive is succeeded
  retries: 5
  delay: 2

- name: Install the package Grafana
  ansible.builtin.apt:
    deb: "/tmp/{{ grafana_packages }}"
  notify: Start Grafana

- name: Configure Elasticsearch
  ansible.builtin.template:
    src: "./templates/grafana.ini.j2"
    dest: "/etc/grafana/grafana.ini"
    owner: root
    group: grafana
    mode: "0640"
  notify: Restart Grafana

- name: Create/Update datasources file (provisioning)
  ansible.builtin.copy:
    dest: "{{ grafana_datasources_dest }}"
    content: |
      apiVersion: 1
      datasources:
      {{ grafana_datasources | to_nice_yaml(indent=2, sort_keys=False)}}
    backup: false
    owner: root
    group: grafana
    mode: 0640
  notify: Restart Grafana
  when: grafana_use_provisioning
